// ignore_for_file: unused_element

import 'dart:io';

import 'package:didvan/models/studio_details_data.dart';
import 'package:didvan/views/ai/widgets/audio_wave.dart';
import 'package:flutter/material.dart';

class DownloadableAudioWidget extends StatelessWidget {
  final String? audioUrl;
  final File? audioFile;
  final int id;
  final StudioDetailsData? audioMetaData;
  final Function()? deleteClidk;
  const DownloadableAudioWidget({
    Key? key,
    this.audioUrl,
    this.audioFile,
    required this.id,
    this.audioMetaData,
    this.deleteClidk,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
        width: MediaQuery.sizeOf(context).width / 1.6,
        child: AudioWave(file: audioUrl ?? audioFile!.path));
  }
}
